CVE-2006-3436
CVSS4.3
发布时间 :2006-10-10 17:07:00
修订时间 :2011-03-07 21:38:38
NMCOS    

[原文]Cross-site scripting (XSS) vulnerability in Microsoft .NET Framework 2.0 allows remote attackers to inject arbitrary web script or HTML via unspecified vectors involving "ASP.NET controls that set the AutoPostBack property to true".


[CNNVD]Microsoft ASP.NET AutoPostBack变量跨站脚本漏洞(CNNVD-200610-106)

        ASP.NET是一套由Microsoft分发的帮助开发者构建基于WEB应用的系统。
        ASP.Net Framework 2.0的服务器中存在一个跨站点脚本执行漏洞,可能在用户的浏览器中注入客户端脚本,该脚本可能欺骗内容、泄露信息或执行用户可以在受影响的网站上执行的任何操作。要试图利用此漏洞,需要进行用户交互。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-3436
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-3436
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200610-106
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/455604
(UNKNOWN)  CERT-VN  VU#455604
http://www.microsoft.com/technet/security/Bulletin/MS06-056.mspx
(PATCH)  MS  MS06-056
http://xforce.iss.net/xforce/xfdb/28658
(UNKNOWN)  XF  asp-http-xss(28658)
http://www.vupen.com/english/advisories/2006/3976
(UNKNOWN)  VUPEN  ADV-2006-3976
http://www.securityfocus.com/bid/20337
(UNKNOWN)  BID  20337
http://www.securityfocus.com/archive/1/archive/1/449179/100/0/threaded
(UNKNOWN)  HP  HPSBST02161
http://www.securityfocus.com/archive/1/archive/1/449179/100/0/threaded
(UNKNOWN)  HP  SSRT061264
http://securitytracker.com/id?1017029
(UNKNOWN)  SECTRACK  1017029
http://secunia.com/advisories/22307
(VENDOR_ADVISORY)  SECUNIA  22307

- 漏洞信息

Microsoft ASP.NET AutoPostBack变量跨站脚本漏洞
中危 跨站脚本
2006-10-10 00:00:00 2007-07-09 00:00:00
远程  
        ASP.NET是一套由Microsoft分发的帮助开发者构建基于WEB应用的系统。
        ASP.Net Framework 2.0的服务器中存在一个跨站点脚本执行漏洞,可能在用户的浏览器中注入客户端脚本,该脚本可能欺骗内容、泄露信息或执行用户可以在受影响的网站上执行的任何操作。要试图利用此漏洞,需要进行用户交互。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        临时解决方法:
        * 在运行.NET Framework 2.0的计算机上,不要将页面上控件的AutoPostBack属性设置为true。
        Microsoft已经为此发布了一个安全公告(MS06-056)以及相应补丁:
        MS06-056:Vulnerability in ASP.NET 2.0 Could Allow Information Disclosure (922770)
        链接:
        http://www.microsoft.com/technet/security/Bulletin/MS06-056.mspx
        补丁下载:
        http://www.microsoft.com/downloads/details.aspx?FamilyId=34C375AA-2F54-4416-B1FC-B73378492AA6

- 漏洞信息

29431
Microsoft .NET Framework AutoPostBack Property Unspecified XSS
Remote / Network Access Input Manipulation
Loss of Integrity Patch / RCS
Exploit Unknown Vendor Verified

- 漏洞描述

Microsoft .NET Framework contains a flaw that allows a remote cross site scripting attack. This could allow a user to create a specially crafted HTTP request that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2006-10-10 Unknow
Unknow 2006-10-10

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Microsoft Corporation has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

- 漏洞信息

Microsoft ASP.NET AutoPostBack Variable Cross-Site Scripting Vulnerability
Input Validation Error 20337
Yes No
2006-10-10 12:00:00 2006-10-13 05:09:00
Jaswinder Hayre discovered this vulnerability.

- 受影响的程序版本

Microsoft Windows XP Tablet PC Edition
Microsoft Windows XP Professional x64 Edition
Microsoft Windows XP Professional SP2
Microsoft Windows XP Professional SP1
Microsoft Windows XP Media Center Edition SP2
Microsoft Windows XP Media Center Edition SP1
Microsoft Windows XP Media Center Edition
Microsoft Windows XP Home SP2
Microsoft Windows XP Home SP1
Microsoft Windows Server 2003 Web Edition SP1
Microsoft Windows Server 2003 Web Edition
Microsoft Windows Server 2003 Standard Edition SP1
Microsoft Windows Server 2003 Standard Edition
Microsoft Windows Server 2003 Enterprise Edition SP1
Microsoft Windows Server 2003 Enterprise Edition
Microsoft Windows Server 2003 Datacenter Edition SP1
Microsoft Windows Server 2003 Datacenter Edition
Microsoft Windows 2000 Server SP4
Microsoft .NET Framework 2.0
Microsoft .NET Framework 1.1 SP3
Microsoft .NET Framework 1.1 SP2
Microsoft .NET Framework 1.1 SP1
Microsoft .NET Framework 1.1
Microsoft .NET Framework 1.1
Microsoft .NET Framework 1.0 SP3
Microsoft .NET Framework 1.0 SP2
Microsoft .NET Framework 1.0 SP1
Microsoft .NET Framework 1.0

- 不受影响的程序版本

Microsoft .NET Framework 1.1 SP3
Microsoft .NET Framework 1.1 SP2
Microsoft .NET Framework 1.1 SP1
Microsoft .NET Framework 1.1
Microsoft .NET Framework 1.1
Microsoft .NET Framework 1.0 SP3
Microsoft .NET Framework 1.0 SP2
Microsoft .NET Framework 1.0 SP1
Microsoft .NET Framework 1.0

- 漏洞讨论

Microsoft ASP.NET is prone to a cross-site scripting vulnerability because the software fails to properly sanitize user-supplied input before it is rendered in the browser of an unsuspecting user in the context of the affected site.

An attacker may leverage this issue to have arbitrary script code execute in the browser of an unsuspecting user, with the privileges of the victim userâ??s account. This may help the attacker steal cookie-based authentication credentials, retrieve sensitive information, and launch other attacks.

- 漏洞利用

To exploit this issue, an attacker must entice a victim user into visiting a malicious site or following a malicious URI.

- 解决方案

The vendor has released fixes to address this issue; please see the reference section for details.


Microsoft .NET Framework 2.0

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站